org.jboss.shrinkwrap.descriptor.api.connector17

## Interface InboundResourceadapterType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface InboundResourceadapterType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `inbound-resourceadapterType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getId()` Returns the `id` attribute
    `MessageadapterType<InboundResourceadapterType<T>>` | `getOrCreateMessageadapter()` If not already created, a new `messageadapter` element with the given value will be created.
    `InboundResourceadapterType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `InboundResourceadapterType<T>` | `removeId()` Removes the `id` attribute
    `InboundResourceadapterType<T>` | `removeMessageadapter()` Removes the `messageadapter` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### getOrCreateMessageadapter

          MessageadapterType<InboundResourceadapterType<T>> getOrCreateMessageadapter()

      If not already created, a new `messageadapter` element with the given value will be created. Otherwise, the existing `messageadapter` element will be returned.
      Returns:
        a new or existing instance of `MessageadapterType>`

    - #### removeMessageadapter

          InboundResourceadapterType<T> removeMessageadapter()

      Removes the `messageadapter` element
      Returns:
        the current instance of `InboundResourceadapterType`

    - #### id

          InboundResourceadapterType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `InboundResourceadapterType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          InboundResourceadapterType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `InboundResourceadapterType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)